﻿
/* Page Header */
.dc-pay-eport-header
{
    background-position: 10px;
    background-color: #d6d9f5;
    background-image: url('../Images/ePort_Logo_Main.png');
    background-repeat: no-repeat;
    min-height: 60px;
    min-width: 250px;
}
.dc-pay-user-info-header
{
    padding: 5px 20px 5px 20px;
    background-color: #d6d9f5;
}

.dc-pay-user-info-text a:link
{
    color: #0019a8 !important;
    
}

.dc-pay-user-info-sub-header
{
    color: #3a405f;
    border-width: 1px;
    border-color: #98a1d5;
    background-color: #e9ebff;
    font-size: small;
    border-bottom-style: solid;
    padding-top: 5px;
    padding-bottom: 5px;
}


/* Common Bootsrap */
.label 
{
    border-radius: 7px !important;    
}
.dc-pay-dl
{
    margin-bottom: 5px !important;
}
.bs-callout-danger h4
{
    color: #a94442  !important;
}

/* Nav Dropdown */
.navbar-default .navbar-nav > .open > a,
.navbar-default .navbar-nav > .open > a:hover,
.navbar-default .navbar-nav > .open > a:focus {
  color: #ffffff !important;
  background-color: #333ca3 !important;
}
.dropdown-menu 
{    
    color: #ffffff !important;
    background-color: #0019a8 !important;    
}
.dropdown-menu > li > a 
{  
  padding: 10px 15px;
    color: #ffffff !important;
    font-size:13px !important;
}
.dropdown-menu > li > a:hover,
.dropdown-menu > li > a:focus 
{
  color: #ffffff !important;  
  background-color: #333ca3 !important;
}
.dropdown-menu > .active > a,
.dropdown-menu > .active > a:hover,
.dropdown-menu > .active > a:focus {
  color: #ffffff !important;  
  background-color: #b40e23 !important;  
}


/* Nav bar link text */
.dc-pay-navbar-link
{
    padding-left:8px;
}

/* Logout link */
.dc-pay-logout-link
{    
    background-image: url('../Images/Logout_Icon.png');
    background-repeat: no-repeat;
    background-position:left center;
    width:80px;
    height:27px;
    padding-left:30px;
    
           
}
.dc-pay-user-logininfo-title
{
    font-size:12px;
    font-weight:bold;
    margin-right:5px; 
    color:#0019a8;   
}
.dc-pay-user-logininfo-field
{
    font-size:11px;
    color:#0019a8;       
}


/* Page Body Content */
.subpage-content-wrapper
{    
    min-height:300px !important;
    padding: 10px 20px 70px 20px  !important;    
}

.dc-loginPanel-body
{
    padding: 20px;
    background-color: #FFFFFF;
    background-image: url('../Images/Login_BodyContent_BG.jpg');
    background-repeat: no-repeat;
    background-position: bottom left;
    z-index: 1;
    position: relative;
    text-align: left;
}



/* Login Form */
.eport-body
{
    padding: 10px 10px 20px 10px;
}
.eport-body-text
{
    font-size: 12px;
    line-height: 17px;
    padding-right: 10px;
}
.eport-body-text-login-para
{
    font-size: 12px;
    line-height: 13px;
     padding-top:5px;
}
.port-body-text-login-para-h2
{
    margin-top:0px !important;
}
.eport-body-field-title
{
    font-size: 14px;    
    color: #0019a8;
    font-weight: bold;
}
.eport-body-subtext
{
    font-size: 12px;
    padding-left: 5px;
}
.eport-user-typetext
{
    padding-left: 5px;
}
.eport-user-typetext-li
{
    padding-bottom: 5px;
    padding-top: 5px;
}

#Txt_UName, #Txt_PWD
{
    max-width: 200px;    
}
.eport-login-ani
{
    background-position: 5px;
    width: 20px;
    height: 31px;
    background-image: url('../Images/Login_Loading.gif');
    background-repeat: no-repeat;
    float: left;
    margin-left: 5px;
}
.eport-login-ani-text
{
    font-size: 11px;
    color: #0019a8;
    float: left;
    margin-top: 5px;
    margin-left: 5px;    
}
#DIV_Login_Msg .panel
{
    border: 1px solid #7680e3;
}
#DIV_Login_Msg .panel .panel-heading
{
    background-color: #ffffff;
    color: #0019a8;
}
#DIV_Login_Msg .panel .panel-body
{
    background-color: #ffffff;
    color: #0019a8;
    font-size: 12px;
}
#DIV_Login_Msg_Txt
{
    padding-bottom: 10px;
}

/* LOGOUT PAGE  
----------------------------------------------------------*/

.logoutPage_content_wrapper
{
    
    height: 250px;
    position:absolute;
	left:50%;
	top:25%;
	margin:-100px 0 0 -150px;
	z-index: 1;
	
}

.logoutPage_ePort_bg
{
    background-image: url('../../Resources/Images/Logout_ePort_BG.jpg');
    background-repeat: no-repeat;
    width: 314px;
    height: 82px;
    position:relative;
}

.logoutPage_content
{
    float: left;
    line-height: 15px;
    width: 100px;
    padding-left: 10px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
    font-weight: bold;
    color: #dfe6ff;
    margin-top: 13px;
    position:relative;
}


.logoutPage_ani
{
    background-position: 3px 3px;
    float: left;
    width: 20px;
    height: 10px;
    line-height: 15px;
    background-image: url('../../Resources/Images/Logout_Loading.gif');
    background-repeat: no-repeat;
    margin-left: 80px;
    margin-top: 13px;
    position:relative;
}


/* Home page main summary table */
.dc-pay-home-main-summary-tabale
{
    border-style: none none solid none;
    border-width: 1px;
    border-color: #dddddd;
}





/* Top progress bar for Doc Centre payment process */
.dc-payment-wizard
{
}
.dc-payment-wizard-hr
{
    margin-top: 6px !important;
}
.dc-payment-wizard h2
{
    margin-top: 8px !important;
    margin-bottom: 5px !important;    
}
.dc-payment-wizard .step-two
{
    border-style: none dotted none dotted;
    border-width: 1px !important;
    border-color: #d6d9f5 !important;
}
.dc-payment-wizard small span
{
    font-size: 12px !important;    
}
.dc-payment-wizard .step-active
{
}

/* For In-Active Step */
.dc-payment-wizard .step-inactive
{
    color: #CCCCCC !important;
}
.dc-payment-wizard .step-inactive h2
{
    color: #CCCCCC !important;
    margin-top: 8px !important;
    margin-bottom: 5px !important;
}
.dc-payment-wizard .step-inactive small span
{
    background-color: #CCCCCC !important;
}
/* For Completed Step */
.dc-payment-wizard .step-completed
{
    color: #CCCCCC !important;
}
.dc-payment-wizard .step-completed h2
{
    color: #d6d9f5 !important;
    margin-top: 8px !important;
    margin-bottom: 5px !important;
}
.dc-payment-wizard .step-completed small span
{
    background-color: #333ca3 !important;
}

/* Top and Bottom Nav buttons Panel */
.rightCol_report_buttons_wrapper_WizardNav {
    border: 1px solid #ffffff;
    padding: 5px 2px 5px 2px !important;
    width: 100% !important;
    background-color: #BDC9F3;
    float: left;
    margin-top: 2px;
} 
.rightCol_report_buttons_WizardNav
{
    padding: 0px 0px 5px 0px !important;
    list-style-type: none !important;
    width: 100% !important;
    margin-bottom: 0px !important;
    margin-top: 0px !important;
}
.rightCol_report_buttons_WizardNav li.next_button
{
    float:right !important;    
}
.rightCol_report_buttons_WizardNav li.back_button
{
    float:left !important;    
}




/* Top progress bar for Doc Centre invoice generation process */
.progress-bar {
  list-style: none;
  overflow: hidden;
  font: 14px Helvetica;
  font-weight: 600;
  display: flex;
  counter-reset: li;
  margin-bottom:5px;
}
.progress-bar__steps {
  background: #bdc9f1;
  color: #666;
  width: 33%;
  position: relative;
  cursor: default;
  list-style-image: none;
  list-style-type: none;
  padding: 20px 5px;
  text-align: center;
}
@media screen and (min-width: 800px) {
  .progress-bar__steps {
    padding: 20px 0 20px 65px;
    text-align: left;
  }
}
@media screen and (min-width: 800px) {
  .progress-bar__steps:first-child {
    padding: 20px 0 20px 30px;
  }
}
@media screen and (min-width: 800px) {
  .progress-bar__steps:after {
    border-bottom: 50px solid transparent;
    border-top: 50px solid transparent;
    content: " ";
    display: block;
    height: 0;
    left: 100%;
    margin-top: -50px;
    position: absolute;
    top: 50%;
    width: 0;
    border-left: 30px solid #bdc9f1;
    z-index: 2;
  }
}
@media screen and (min-width: 800px) {
  .progress-bar__steps:before {
    border-bottom: 50px solid transparent;
    border-top: 50px solid transparent;
    content: " ";
    display: block;
    height: 0;
    left: 100%;
    margin-top: -50px;
    position: absolute;
    top: 50%;
    width: 0;
    border-left: 30px solid #fff;
    z-index: 1;
    margin-left: 5px;
  }
}
.progress-bar .current {
  background: #4d5acd;
  color: #fff;
}
.progress-bar .current:after {
  border-left: 30px solid #4d5acd;
}
@media screen and (min-width: 800px) {
  .progress-bar__steps--numbers:before {
    content: counter(li) " ";
    counter-increment: li;
    margin-right: 15px;
    background: transparent;
    border: 1px solid #666;
    border-radius: 50%;
    display: inline-block;
    height: 20px;
    line-height: 20px;
    text-align: center;
    width: 20px;
  }
}
.current .progress-bar__steps--numbers:before {
  background: white;
  color: #647d5e;
}


.dc-payment-grid-heading
{
    padding: 10px 5px 5px 5px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    color: #1421ae;
    float: left;
    font-weight: bold;
}
